Syndai Docs

Remove a knowledge file

DELETE
/api/v1/external/coding/repos/{coding_repository_id}/knowledge/docs/{file_id}

Delete one uploaded file and its text. A synced file is removed by deleting it from the folder. Requires coding:knowledge:sync.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_repository_id*string
Formatuuid
file_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, nothing follows

Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge/docs/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty
Was this page helpful?